View Issue Details

IDProjectCategoryView StatusLast Update
0017858MediaMonkey 5Main Panelpublic2021-06-25 19:45
ReporterLudek Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionreopened 
PlatformWindowsOS-OS Version10
Product Version5.0 
Target Version5.0.1Fixed in Version5.0.1 
Summary0017858: Columns widths are not restored correctly on "Metro M" skin
Description1) Switch to "Metro M (Classic)" skin
2) enabled all sub nodes for media tree to select idividual artists
3) switch to "List" view
3) whenever you select a different artist from the media tree, the columns get a few pixels wider.
This is reproducable every time I select a new artist and doesn't seem to stop.

Details here: https://www.mediamonkey.com/forum/viewtopic.php?p=481458#p481458
Additional Informationhttps://www.mediamonkey.com/forum/viewtopic.php?p=483349#p483349
TagsNo tags attached.
Fixed in build2419

Activities

drakinite

2021-05-14 03:37

developer   ~0063195

I can't reproduce the column widths getting *wider*, but I can reproduce the user's original issue where the column filter gets increasingly taller each time you switch artists.

drakinite

2021-05-18 00:36

developer   ~0063259

Fixed in 2406

peke

2021-06-20 12:55

developer   ~0064025

Verified 2418

UNable to replicate in Metro M and other skins.

Ludek

2021-06-24 11:14

developer   ~0064053

Last edited: 2021-06-24 14:59

View 6 revisions

Re-opened: this issue still exists on "Metro M" skin: https://www.mediamonkey.com/forum/viewtopic.php?p=483055#p483055

I can replicate this way:
1) Select a playlist with columns like this in the 'Media Tree' : https://www.dropbox.com/s/47ep8enwq7h0186/Screenshot%202021-06-24%2013.13.32.png?dl=0
2) Switch to another playlist: Columns get a few pixels wider
3) Switch to the original playlist: Columns gets a few pixels wide again etc.

I don't see this issue with other skins.

EDIT: The same issue is user reporting here: https://www.mediamonkey.com/forum/viewtopic.php?p=483349#p483349

Ludek

2021-06-24 11:38

developer   ~0064055

Last edited: 2021-06-24 12:08

View 4 revisions

As discussed offline with Michal: Probably the emToPx() and pxToEm() are responsible for that in GridView.storeColumns / GridView.restoreColumns
So assigned to him to verify and possibly to not do this conversion at all (and store the width always just in pixels rather than ems) ?

EDIT: It's combination of Math.round in emToPx and Metro M's @baseFontSize defined as 12.25px, ie. changing it to 12px solves the issue and should be low risk change as 5.0.1 fix

Ludek

2021-06-24 15:10

developer   ~0064059

Last edited: 2021-06-24 15:13

View 3 revisions

Fixed in 5.0.1.2419 by changing the Metro M's @baseFontSize: from 12.25 px to 12 px.

@drakinite: please review my change.

drakinite

2021-06-24 19:46

developer   ~0064062

Reviewed and verified from SVN source.

lowlander

2021-06-25 19:45

developer   ~0064072

Tested on 2419 with Ludek's steps and no column width drift observed.